package com.gyee.runeconomy.model.auto;

import lombok.Data;

/**
 * 测点数据
 */
@Data
public class PointData {
    /**
     * 时间戳
     */
    private long ts;
    private String tagName;
    /**
     * 数据
     */
    private double doubleValue;
    /**
     * boolean 数据
     */
    private boolean booleanValue;

    private long longValue;

    public PointData() {
    }

    public PointData(long ts, double doubleValue) {
        this.ts = ts;
        this.doubleValue = doubleValue;
    }

    public double getValue() {
        if (booleanValue) {
            return 1;
        } else if (longValue != 0) {
            doubleValue = longValue;
        }
        return doubleValue;
    }
}
